package org.sky.resource.rule.oss;

import org.sky.core.literule.annotation.LiteRuleComponent;
import org.sky.core.literule.core.RuleComponent;
import org.sky.core.log.exception.ServiceException;
import org.sky.core.oss.OssTemplate;
import org.sky.core.tool.utils.Func;
import org.sky.resource.rule.context.OssContext;

import static org.sky.resource.rule.constant.OssRuleConstant.OSS_TEMPLATE_RULE;

/**
 * OSS接口读取校验
 *
 */
@LiteRuleComponent(id = OSS_TEMPLATE_RULE, name = "OSS接口读取校验")
public class OssTemplateRule extends RuleComponent {
	@Override
	public void process() {
		OssContext contextBean = this.getContextBean(OssContext.class);
		OssTemplate ossTemplate = contextBean.getOssTemplate();

		if (Func.isEmpty(ossTemplate)) {
			throw new ServiceException("OSS接口读取失败!");
		}
	}
}
